export declare const onePixel: number;
export declare const screenW: number;
export declare const screenH: number;
/**
 * 判断是否为iphoneX
 * @returns {boolean}
 */
export declare const isIphoneX: () => boolean;
/**
 * 屏幕适配,缩放size , 默认根据宽度适配，纵向也可以使用此方法
 * @param size 设计图的尺寸
 * @returns {number}
 */
export declare function scaleSize(size: number): number;
/**
 * 屏幕适配,缩放size , 默认根据宽度适配，纵向也可以使用此方法
 * 横向的尺寸直接使用此方法
 * 如：width ,paddingHorizontal ,paddingLeft ,paddingRight ,marginHorizontal ,marginLeft ,marginRight
 * @param size 设计图的尺寸
 * @returns {number}
 */
export declare function scaleWidth(size: number): number;
/**
 * 屏幕适配 , 纵向的尺寸使用此方法应该会更趋近于设计稿
 * 如：height ,paddingVertical ,paddingTop ,paddingBottom ,marginVertical ,marginTop ,marginBottom
 * @param size 设计图的尺寸
 * @returns {number}
 */
export declare function scaleHeight(size: number): number;
/**
 * 设置字体的size（单位px）
 * @param size 传入设计稿上的px
 * @returns {Number} 返回实际sp ,会随系统缩放比例改变，如不需要请去掉 * fontScale
 */
export declare function setSpText(size: number): number;
/**
 * 根据是否是iPhoneX返回不同的样式
 * @param iphoneXStyle
 * @param iosStyle
 * @param androidStyle
 * @returns {*}
 */
export declare function ifIphoneX(iphoneXStyle: any, iosStyle: {}, androidStyle: any): any;
/**
 * 状态栏高度
 */
export declare function statusBarHeight(): any;
/**
 * 常规导航栏高度（包含状态栏）
 */
export declare function navigationBarHeight(): number;
/**
 * 状态栏加导航栏的高度
 * @returns {*}
 */
export declare function navBarHeight(): any;
/**
 * 导航栏高度(不包含状态栏)
 * @returns {*}
 */
export declare function navBarUnlessStatusHeight(): 44 | 56;
export declare function tabBarHeight(): 88 | 64 | 55;
export declare function getBottomSpace(): 0 | 34;
